Retrieve all invoices
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/invoicing/invoicesimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/invoicing/invoices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/invoicing/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"currency": "EUR",
"invoice_type": "customer_invoice",
"status": "cancelled",
"invoice_date": "2026-01-15",
"tax_amount": 42,
"untaxed_amount": 200,
"total": 242,
"lines": [],
"partner_id": "<invoicing-partner-id>",
"invoice_number": "INV-2026-0001",
"due_date": "2026-02-14",
"reference": "REF-0001",
"payment_communication": "+++000/0000/00000+++",
"customer_memo": "Thank you for your business.",
"journal_ref": {
"id": "<target-software-id>",
"model": "invoice",
"name": "Example Company S.A."
},
"italian_specificities": {
"stamp_duty_amount": 2,
"withholding_tax": {
"rate": 20,
"amount": 40,
"reason": "RT01",
"payment_reason": "A"
},
"welfare_fund": {
"rate": 4,
"amount": 8,
"type": "TC01"
},
"payment_reporting": {
"method": "MP01",
"conditions": "TP01"
}
},
"spanish_specificities": {
"withholding_tax": {
"tax_rate": -19,
"tax_code": "<accounting-tax-code>",
"tax_amount": -38
}
},
"last_updated_on": "2026-01-15T10:30:00Z",
"outstanding_amount": 0,
"last_payment_date": "2026-02-14",
"accounting_date": "2026-01-15",
"payment_method_id": "<invoicing-payment-method-id>",
"currency_exchange_rate": 1
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Invoices
Retrieve all invoices
Returns a list of invoices. Optionally invoice type and dates can be defined to retrieve invoices of a certain type from a certain date to another date
GET
/
consumers
/
{consumer_id}
/
invoicing
/
invoices
Retrieve all invoices
Learn more:
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Available options:
customer_invoice, customer_refund, supplier_invoice, supplier_refund, all Available options:
all, unpaid, paid Include the invoice lines in the response. By default, invoice lines are included when no extra request is needed to fetch them. If you want to include them explicitly, set this parameter to true.
Available options:
true, false Include analytic accounts in the response
Available options:
true, false